io.etcd.jetcd.maintenance

## Class StatusResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<StatusResponse>
  - - io.etcd.jetcd.maintenance.StatusResponse

All Implemented Interfaces:
  Response

    public class StatusResponse
    extends AbstractResponse<StatusResponse>

StatusResponse returned by `Maintenance.statusMember(URI)` contains a header, version, dbSize, current leader, raftIndex, and raftTerm.

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`StatusResponse(StatusResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getDbSize()` return the size of the backend database, in bytes, of the responding member.
`long` `getLeader()` return the the member ID which the responding member believes is the current leader.
`long` `getRaftIndex()` the current raft index of the responding member.
`long` `getRaftTerm()` the current raft term of the responding member.
`String` `getVersion()` returns the cluster protocol version used by the responding member.

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StatusResponse

    public StatusResponse(StatusResponse response)

### Method Detail

#### getVersion

    public String getVersion()

returns the cluster protocol version used by the responding member.

#### getDbSize

    public long getDbSize()

return the size of the backend database, in bytes, of the responding member.

#### getLeader

    public long getLeader()

return the the member ID which the responding member believes is the current leader.

#### getRaftIndex

    public long getRaftIndex()

the current raft index of the responding member.

#### getRaftTerm

    public long getRaftTerm()

the current raft term of the responding member.